## Package org.dom4j.datatype

An implementation of the dom4j API which supports the XML Schema Data Types specification.

See:
Description

Class Summary
DatatypeAttribute: `DatatypeAttribute` represents an Attribute which supports the XML Schema Data Types specification.
DatatypeDocumentFactory: `DatatypeDocumentFactory` is a factory of XML objects which support the XML Schema Data Types specification.
DatatypeElement: `DatatypeElement` represents an Element which supports the XML Schema Data Types specification.
DatatypeElementFactory: `DatatypeElementFactory` is a factory for a specific Element in an XML Schema.
SchemaParser: `SchemaParser` reads an XML Schema Document.

Exception Summary
InvalidSchemaException: `InvalidSchemaException` is thrown when an invalid XML Schema document is used

## Package org.dom4j.datatype Description

An implementation of the dom4j API which supports the XML Schema Data Types specification.

Copyright © 2001-2005 MetaStuff Ltd.. All Rights Reserved.